# PassiveTracerFlows.jl Documentation


## Overview

`PassiveTracerFlows.jl` is a collection of modules which leverage the 
[FourierFlows.jl](https://github.com/FourierFlows/FourierFlows.jl) framework to solve for
advection-diffusion problems on periodic domains.

!!! info "Unicode"
    Oftentimes unicode symbols are used in modules for certain variables or parameters. For 
    example, `κ` is commonly used to denote the diffusivity, or `∂` is used 
    to denote partial differentiation. Unicode symbols can be entered in the Julia REPL by 
    typing, e.g., `\kappa` or `\partial` followed by the `tab` key.
    
    Read more about Unicode symbols in the 
    [Julia Documentation](https://docs.julialang.org/en/v1/manual/unicode-input/).


## Developers

PassiveTracerFlows is currently being developed by [Navid C. Constantinou](http://www.navidconstantinou.com), [Josef I. Bisits](https://au.linkedin.com/in/josef-bisits-066253123), and [Gregory L. Wagner](https://glwagner.github.io).

New contributors are always welcome! We follow the [ColPrac guide](https://github.com/SciML/ColPrac) for
collaborative practices.



## Cite

The code is citable via zenodo, [doi:10.5281/zenodo.2535983](https://doi.org/10.5281/zenodo.2535983).
